Get mandate
Retrieve a Mandate object (using a specific mandate_id).
Authorization: customer_token
Response fields
Single Mandate object, containing information on the Mandate.
fees (array)
Details on the fee(s) to be charged. Returns an empty array if no fees will be charged.
mandate_details (object)
Details describing the mandate.
payment_schedule (object, optional)
RESERVED FOR FUTURE USE - Specifies scheduled auto-payments with the specified amounts and dates.
transaction_limits (object, optional)
Specifies custom limits on payment transactions executed under the Mandate.
recipient (object), sender (object)
The recipient and sender objects include a Payment User object for each of the counterparties of a payment. Refer to the Payment User data model in GET /payment_users/{payment_user_id} for details on the Payment User object.
Note: Some Payment User metadata fields are omitted for clarity (e.g. created_at, metadata, updated_at).
recipient_account (object), sender_account (object)
The recipient_account and sender_account objects include a Payment Account object for each of the counterparties of a payment. Refer to Payment Account object data model in GET /payment_users/{user_id}/payment_accounts for details on the Payment Account object.
Note: Some Payment Account metadata fields are omitted for clarity (e.g. created_at, metadata, updated_at).
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
mandate id
Response
Successful
Details on the mandate
Finverse Mandate ID for this mandate. Always unique. Creating a mandate with different idempotency keys will result in two mandates with different IDs.
Details on the recipient of the payment
Details on the sender of the payment
Current status of the mandate. Possible values: AUTHORIZATION_REQUIRED, PROCESSING, READY_TO_SUBMIT, SUBMITTED, SUCCEEDED, CANCELLED, CLOSED, FAILED Note: CLOSED occurs when a draft Mandate is created by a Finverse Payment Link (with status AUTHORIZATION_REQUIRED), and the user then drops-off or creates a new Payment Method or Mandate. In these cases, Finverse closes the draft Mandate in order to associate a new Payment Method / Mandate with the same Payment Link.
AUTHORIZATION_REQUIRED, AUTHORIZING, PROCESSING, SUBMITTED, SUCCEEDED, FAILED, REVOKED Timestamp of the last update to the mandate's record
Timestamp when the mandate was first created
Details on why the mandate failed (returned when status = FAILED). Note: this is used to detail any asynchronous e errors occuring after mandate creation; any synchronous errors (e.g. API validation errors) will instead be returned directly during POST /mandates.
Details on the fee(s) to be charged
Customer-supplied attributes in key:value format. E.g. employer_name: Apple Inc
Finverse Payment Method ID for this mandate, used to create payments using the mandate (see POST /payments). Always unique. Creating a mandate with different idempotency keys will result in two mandates with different IDs.
Details on the recipient's account for the payment (i.e. the Customer App's settlement account at Finverse)
Details on the sender's source institution and account, which is funding the payment